%define name            docbook-xsl-java
%define short_name      docbook-xsl
%define version         1.60.1
%define release         1jpp

%define javadir         %{_datadir}/java
%define javadocdir      %{_datadir}/javadoc
%define section         free

# -----------------------------------------------------------------------------

Summary:        Java extensions for DocBook XSL
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Text Processing/Markup/XML
License:        Distributable
URL:            http://docbook.sourceforge.net/
BuildArch:      noarch
Source:         http://download.sf.net/docbook/docbook-xsl-1.60.1.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Vendor:         JPackage Project
Distribution:   JPackage
BuildRequires:  ant, xalan-j2, saxon >= 6.4.3

%description
Java extensions for DocBook XSL Stylesheets.

# -----------------------------------------------------------------------------

%package xalan
Group:          Text Processing/Markup/XML
Summary:        Xalan extensions for DocBook XSL
Requires:       xalan-j2

%description xalan
Xalan extensions for DocBook XSL.

# -----------------------------------------------------------------------------

%package saxon
Group:          Text Processing/Markup/XML
Summary:        SAXON extensions for DocBook XSL
Requires:       saxon >= 6.4.3

%description saxon
SAXON extensions for DocBook XSL.

# -----------------------------------------------------------------------------

%package xalan-javadoc
Group:          Development/Documentation
Summary:        Javadoc for Xalan extensions for DocBook XSL

%description xalan-javadoc
Javadoc for Xalan extensions for DocBook XSL.

# -----------------------------------------------------------------------------

%package saxon-javadoc
Group:          Development/Documentation
Summary:        Javadoc for SAXON extensions for DocBook XSL

%description saxon-javadoc
Javadoc for SAXON extensions for DocBook XSL.

# -----------------------------------------------------------------------------

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{short_name}-%{version}
rm -rf extensions/*.jar extensions/docs

# -----------------------------------------------------------------------------

%build
cd extensions
CLASSPATH=%{javadir}/xalan-j2.jar:%{javadir}/saxon.jar ant

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{javadir}
cp -p extensions/build/lib/%{short_name}-xalan.jar \
  $RPM_BUILD_ROOT/%{javadir}/%{short_name}-xalan-%{version}.jar
cp -p extensions/build/lib/%{short_name}-saxon.jar \
  $RPM_BUILD_ROOT/%{javadir}/%{short_name}-saxon-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadocs
mkdir -p $RPM_BUILD_ROOT%{javadocdir}/%{short_name}-xalan-%{version}
cp -pr extensions/build/api/xalan/* \
  $RPM_BUILD_ROOT%{javadocdir}/%{short_name}-xalan-%{version}
mkdir -p $RPM_BUILD_ROOT%{javadocdir}/%{short_name}-saxon-%{version}
cp -pr extensions/build/api/saxon/* \
  $RPM_BUILD_ROOT%{javadocdir}/%{short_name}-saxon-%{version}

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%files xalan
%defattr(0644,root,root,0755)
%doc extensions/xalan2/com/nwalsh/xalan/ChangeLog
%{javadir}/%{short_name}-xalan*.jar

%files saxon
%defattr(0644,root,root,0755)
%doc extensions/saxon643/com/nwalsh/saxon/ChangeLog
%{javadir}/%{short_name}-saxon*.jar

%files xalan-javadoc
%defattr(0644,root,root,0755)
%{javadocdir}/%{short_name}-xalan-%{version}

%files saxon-javadoc
%defattr(0644,root,root,0755)
%{javadocdir}/%{short_name}-saxon-%{version}

# -----------------------------------------------------------------------------

%changelog
* Sat Jan 25 2003 Ville Skytt <ville.skytta at iki.fi> - 1.60.1-1jpp
- Update to 1.60.1 (just to track releases, no changes to Java stuff).

* Tue Dec 10 2002 Ville Skytt <ville.skytta at iki.fi> - 1.58.1-1jpp
- Update to 1.58.1.
- Our build.xml was accepted upstream, it's in the tarball now :)
- Fixed javadoc Group tag.

* Tue Oct 22 2002 Ville Skytt <ville.skytta at iki.fi> - 1.57.0-1jpp
- Update to 1.57.0 (just to track releases, no changes to Java stuff).

* Fri Oct 11 2002 Ville Skytt <ville.skytta at iki.fi> - 1.56.1-1jpp
- Initial JPackage release.
